Skip to main content
POST
Remove schedules from policy

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Path Parameters

project_id
integer
required

Project ID

Example:

1

region_id
integer
required

Region ID

Example:

1

policy_id
integer
required

Lifecycle policy ID.

Example:

1

Body

application/json
schedule_ids
string[]
required

List of schedule IDs.

Example:

Response

200 - application/json

OK

action
string
required

Action associated with the lifecycle policy.

Example:

"volume_snapshot"

id
integer
required

Unique identifier for the policy.

Example:

1

name
string
required

Name of the policy.

Example:

"schedule_1"

project_id
integer
required

Project ID associated with the policy.

Example:

1

region_id
integer
required

Region ID where the policy is applied.

Example:

1

schedules
(GetCronScheduleSerializer · object | GetIntervalScheduleSerializer · object)[]
required

List of schedules within the policy.

Example:
status
enum<string>
required

Status of the lifecycle policy.

Available options:
active,
paused
Example:

"active"

user_id
integer
required

User ID of the creator of the policy.

Example:

11

volumes
VolumeDataForLifecyclePolicySerializer · object[]
required

Data of volumes that should be reserved. Displayed only when the query parameter is specified.

Example: